Bug 1571756 - [RFE][Deployment] add ability to configure extra CPU flags for named CPU models
Summary: [RFE][Deployment] add ability to configure extra CPU flags for named CPU models
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-nova
Version: 10.0 (Newton)
Hardware: All
OS: Linux
high
high
Target Milestone: z9
: 10.0 (Newton)
Assignee: Rajesh Tailor
QA Contact: nova-maint
URL:
Whiteboard:
Depends On: 1398343 1547954 1570610 1570611 1570614 1570617
Blocks: 1571741 1571744 1571750
TreeView+ depends on / blocked
 
Reported: 2018-04-25 11:23 UTC by Rajesh Tailor
Modified: 2020-02-14 18:36 UTC (History)
24 users (show)

Fixed In Version: puppet-nova-9.6.0-4.el7ost
Doc Type: Enhancement
Doc Text:
Nova's libvirt driver now allows the specification of granular CPU feature flags when configuring CPU models. One benefit of this change is the alleviation of a performance degradation that has been experienced on guests running with certain Intel-based virtual CPU models after application of the "Meltdown" CVE fixes. This guest performance impact is reduced by exposing the CPU feature flag 'PCID' ("Process-Context ID") to the *guest* CPU, assuming that the PCID flag is available in the physical hardware itself. For more details, refer to the documentation of ``[libvirt]/cpu_model_extra_flags`` in ``nova.conf`` for usage details.
Clone Of: 1547954
Environment:
Last Closed: 2018-09-17 16:54:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 561796 None MERGED Handle libvirt/cpu_model_extra_flags option 2020-06-01 04:54:49 UTC
Red Hat Product Errata RHBA-2018:2670 None None None 2018-09-17 16:55:29 UTC

Comment 3 Jon Schlueter 2018-06-28 19:35:43 UTC
According to our records, this should be resolved by puppet-nova-9.6.0-4.el7ost.  This build is available now.

Comment 8 errata-xmlrpc 2018-09-17 16:54:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2670


Note You need to log in before you can comment on or make changes to this bug.